Tasks

List Tasks

GET/v1/tasks
GET
/v1/tasks

To get the tasks of a user

Authorization

x-api-key<token>

API key for Open API authentication

In: header

Query Parameters

pagenumber

Page number for pagination

Minimum: 1

pageSizenumber

Number of records per page

Minimum: 1

sortOrderstring

Sort order for the results

Value in: "ASC" | "DESC"

sortBystring

Field to sort by

Value in: "priority" | "completedAt" | "skippedAt" | "dueDate"

statusstring

Status of the task

Value in: "upcoming" | "dueToday" | "completed" | "skipped" | "overdue"

sequenceIdstring

Sequence id (hashed)

taskAssigneestring

Task Assignee account id (hashed)

prospectOutcomestring

Prospect outcome

taskTypestring

Open api task type

Value in: "linkedin" | "call" | "whatsapp" | "custom"

searchstring

Search term to filter tasks

callOutcomestring

Call outcome for filtering tasks

Value in: "Interested" | "Callback Later" | "Followup" | "Not Interested" | "Wrong Number" | "No Answer" | "Left Voicemail" | "Not In Service"

Responses

200
Successfully fetched tasks
{
  "page": 0,
  "pageSize": 0,
  "sortOrder": "ASC",
  "sortBy": "priority",
  "status": "upcoming",
  "sequenceId": "string",
  "taskAssignee": "string",
  "prospectOutcome": "string",
  "taskType": "linkedin",
  "search": "string",
  "callOutcome": "Interested"
}

Request

curl -X GET \
  "https://open-api.saleshandy.com/v1/tasks" \
  -H "Authorization: Bearer YOUR_API_KEY"

Response

No response body